Follow

What binaries does a Mastodon install depend on that prevents it from being installed on a Raspberry Pi 4B (Ubuntu 19.10, linux-arm64)?

I made some changes to the official Dockerfile in order to use linux-arm64 sources, everything worked (well, built) until I tried to run `docker-compose up`.

It complains about 'exec user process caused "exec format error",' which I believe is due to wrong binary (e.g., compiled for amd64)? It's coming from 'standard_init_linux.go'.

Hm... Go... 🤔

Sign in to participate in the conversation
Mastodon U. Twente

A social network for the University of Twente community. Anyone with an @utwente.nl or @*.utwente.nl email address can create an account here and participate in the global fediverse with millions of other users. This means that students, staff and alumni can create an account here. Content does not reflect the opinions or policies of the University of Twente.
-
We support \( \LaTeX \) formulas: Use \( and \) for inline LaTeX formulas, and \[ and \] for display mode.